unit Ulistes;
{Collatinus - Extraction du lexique d'un texte latin.

Copyright (C) 1998 Y. Ouvrard.

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
modifier conformment aux dispositions de la Licence Publique Gnrale GNU,
telle que publie par la Free Software Foundation ; version 2 de la licence,
ou encore ( votre choix) toute version ultrieure.
Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou D'ADAPTATION
A UN OBJET PARTICULIER.
Pour plus de dtail, voir la Licence Publique Gnrale GNU .
Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme
temps que ce programme ; si ce n'est pas le cas, crivez  la
Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
Pour tout contact avec l'auteur : yves.ouvrard@collatinus.com}

interface

Const
ListeCas : Array[0..5] of string = (
  'nominatif',
  'vocatif',
  'accusatif',
  'gnitif',
  'datif',
  'ablatif');

ListeGenres : Array[0..2] of string = (
  'masculin',
  'fminin',
  'neutre');

ListeNombres : Array[0..1] of string = (
  'singulier',
  'pluriel');

ListePersonnes : Array[0..2] of string = (
  '1re personne',
  '2me personne',
  '3me personne');

ListeModes : Array[0..6] of string = (
  'indicatif',
  'subjonctif',
  'impratif',
  'infinitif',
  'participe',
  'grondif',  // 5
  'adjectif verbal');

ListeTemps : Array[0..5] of string = (
  'prsent',
  'futur',
  'imparfait',
  'parfait',
  'futur antrieur',
  'plus-que-parfait');

ListeVoix : Array[0..1] of string = (
  'actif',
  'passif');

ListeDegres : Array[0..2] of string = (
   'positif',
   'comparatif',
   'superlatif');  


cNom = 0;
cAdj = 1;
cPron = 2;
cVerbe = 3;
cInv = 4;

ListeCategories : Array[0..4] of string = (
  'nom',
  'adjectif',
  'pronom',
  'verbe',
  'invariable');
  // ajouter les coordinateurs, les subordinateurs de P et de GN, les adv.

ListeModeles : Array[0..30] of String = (
  'uita',
  'amicus',
  'puer',
  'ager',
  'templum',
  'miles',          // 5
  'ciuis',
  'corpus',
  'mare',
  'manus',
  'res',            // 10
  'bonus',
  'miser',
  'pulcher',
  'fortis',
  'uetus',          // 15
  'acer',
  'amo',
  'moneo',
  'lego',
  'capio',          // 20
  'audio',
  'sum',
  'eo',
  'imitor',
  'uereor',         // 25
  'sequor',
  'patior',
  'potior',
  'pronoms',
  'invaria');       // 30

ListePrepAcc = ',ad,aduersus,adversus,ante,in,inter,ob,per,sub,super,';
ListePrepAbl = ',ab,cum,de,e,ex,in,pro,sine,sub,sub,super,';
ListeConjSub = ',ut,cum,quando,quia,quod,si,';
ListeVAttr = ',sum,fio,existo,videor,appareo,nascor,morior,uiuo,';
ListeVPAttr = ',appello,dico,nomino,eligo,creo,iudico,existimo,putor,habeo';
ListeAdjPoss = ',meus,tuus,suus,noster,uester,';
ListeD = ',hic,is,iste,ille,quidam,alius,alter,unus,duo,tres,quattuor,quinque'
       + ',meus,tuus,suus,nemo,multus,nonnullus,nihil,';
implementation

end.
